Subject: More on MAC CHI and TAI OS, Nisus, APDA CD-ROMs

From: Xincun Huang <[email-masked]>
Date: Thu, 12 Dec 1991 15:26:00 PST

>What is the current version of Nisus? I once heard that the most-recent
>version of Nisus is not working with some version of the Mac Chinese
>Operating System. Is it still true now?

Nisus 3.0.6 is completely compatible with the Apple Chinese systems TAI
6.0.x and CHI 6.0.x.

>> 1)  It is not possible to switch easily between traditional and
>> simplified characters.  At ahkcus.org there is a conversion utility
>
>One should be able to install Mac Bei on top of Mac Tai. At least this
>is true in the case with version 6.0.5. Ed Lai also has CiHui input
>method for Mac Tai. In a combined system, you can switch back and
>forth with the simplified and complex characters. Simply choose the
>different fonts, and the input method will switch accordingly.

i)  I would be interested in learning how to do this.  I tried combining CHI
6.0.7 with TAI 6.0.3 without success.

ii)  But what I meant by switching is rather taking a document in simplified
characters and changing it to traditional, e.g. taking a test written in
simplified characters and printing it in traditional for a student that wants
traditional characters.  One can do this with the conversion utility HC 1.5,
but it is difficult.  But because I have to convert all the time, I have two
solutions, albeit clumsy ones:

a) MS Word:  For Word documents I wrote a Pascal program that removes
the text from the header and footer; after running the text through HC 1.5,
another Pascal program then replaces the text.  Because conversion is a
one-to-one substitution, all of the formatting is preserved properly.

b) Nisus:  Using the programming languages and GREP capabilities of
Nisus, I wrote a macro that finds all instances of the Chinese font, selects
them (noncontiguously), and then (using push and pop commands) copies
the selected text to the end of the file.  I can then copy the Chinese to
another file, use the conversion utility, and then paste the Chinese back into
the end of the file.  The second macro then finds the original locations of the
Chinese, and (using push and pop) pastes them back in.

Neither of these solutions are ideal, but I had alot of simplified documents
that I needed to convert to traditional.  If someone has better solutions I
would be interested in knowing about them.

>There exist 64 pt fonts for Mac Bei. I don't know their availability
>though. I thought it came with the Mac Bei, and apparently they
>didn't.

Does anyone know where these can be obtained??

>> 3)  Of course, TAI 6.0.6 will not run on the new LC-IIsi-Classic line.
>> Pacific Connections (800 745 0911) may be able to sell you the 6.0.7
>> version.
>
>You should be able to get them free of charge from the d e v e l o p
>magazine. They come with a compact disk in every issue. I don't know

Unfortunately the developer CD-ROM only has only had TAI 6.0.6 on it for
the last several months, althouth apparently TAI 6.0.7 is available in Hong
Kong.  And the font sets on 6.0.x (the less-frequently used characters) are
incomplete.  I suspect that TAI 6.0.7 may not appear on the CD-ROM, but I
have no idea about Apple plans in this regard, nor am clear I as to what
Apple policy is about this.

Can anyone add something here??  What about Chinese System 7 and font
sets?  When will they be available, and what will Apple's policy be??

(I suggested Pacific Rim Connections because I have gotten very good
advice from them; and several times when we have called them they have
talked us out of buying anything.)

Roger Hart
UCLA